<?php

// Admin Panel
function theme_admin() {

	global $theme_name, $settings;
	 
	if ( isset($_GET['page']) and $_GET['page'] == basename(__FILE__) ) {	
        if ( isset($_REQUEST['action']) and $_REQUEST['action'] == 'save') {
	
                foreach ($settings as $val) {
					if(isset($val['type']) and $val['type'] != 'head' and $val['type'] != 'end' and $val['type'] != 'break') {
						if(isset($val['type']) and $val['type'] != 'multicheck'){
							if( isset( $_REQUEST[ $val['id'] ] ) ) { update_option( $val['id'], $_REQUEST[ $val['id'] ]  ); } else {  } 
						} else {
							foreach($val['options'] as $mc_key => $mc_value){
								$up_opt = $val['id'].'_'.$mc_key;						
								if( isset( $_REQUEST[ $up_opt ] ) ) { update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); } 
							}
						}
					}
				}
						
				header("Location: admin.php?page=theme-admin.php&saved=true");								
			
			die;

		}
	}

add_theme_page($theme_name.' '. __('Options', ZEE_LANG), $theme_name.' '. __('Options', ZEE_LANG), 'edit_theme_options', basename(__FILE__), 'theme_add_page');

}

function theme_add_page (){

		global $settings, $theme_name;
		
		?>
		
<div class="wrap zee_admin_wrap">  			
	
	<div id="zee_admin_header">
		
		<div id="zee_admin_logo">
			<img src="<?php echo get_bloginfo('template_directory'); ?>/includes/admin/images/themezee_logo.png" alt="Logo" />
		</div>
		
		<div id="zee_admin_menu">
			<ul>
				<li><a href="<?php echo THEME_INFO; ?>">Theme Info<span>See theme details</span></a></li>
				<li><a href="http://support.themezee.com">Support<span>Get my help</span></a></li>
			</ul>
		</div>
		<div class="clear"></div>
	</div>
	
	<h2 id="zee_head"><?php echo $theme_name; ?> <?php _e('Options', ZEE_LANG); ?></h2>
	
	<?php if ( isset($_REQUEST['saved']) ) { ?><div class="warning"><?php echo $theme_name; ?><?php echo _e("'s Options has been updated at", ZEE_LANG); ?> <b><?php echo date('H:i'); ?> <?php _e("o'clock", ZEE_LANG); ?></b></div><?php } ?>

	<p><?php _e('It is completely optional, but if you like the Theme I would appreciate it if you keep the credit link at the bottom.', ZEE_LANG); ?></p>
	<div id="poststuff" class="dlm">	
		<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post">
			<p class="submit submit-footer">
				<input name="save" type="submit" value="<?php _e('Save All Changes', ZEE_LANG); ?>" />
				<input type="hidden" name="action" value="save" />
			</p>
<?php
############## Theme Settings ####################

	foreach ($settings as $val) {
		if($val['type'] == 'head') { ?>
			
			<div class="postbox">
			<h3><?php echo $val['name']; ?></h3>
			<div class="inside">
				<table class="form-table">
<?php
		} else if($val['type'] == 'end') {
?>				
				</table>
				<p class="submit submit-footer">
					<input name="save" type="submit" value="<?php _e('Save All Changes', ZEE_LANG); ?>" />
					<input type="hidden" name="action" value="save" />
				</p>

			</div>
		</div>
<?php
		} else {
?>
					<tr>
						<th>
							<label><?php if(isset($val['name'])) { echo $val['name']; } ?></label>
						</th>
						<td>
	<?php
			switch ( $val['type'] ) {
				case 'text':
	?>
						<input class="inp" name="<?php echo $val['id']; ?>" id="<?php echo $val['id']; ?>" type="<?php echo $val['type']; ?>" value="<?php if ( get_option( $val['id'] ) != "") { echo get_option($val['id']); } else { echo $val['std']; } ?>" />
	<?php
				break;
				case 'logo':
					
					if ( get_option( $val['id'] ) != "") { $logo = get_option($val['id']); } else { $logo = $val['std']; }
	?>
						<p id="zee-logo-bg"><img id="zee-logo-img" src="<?php echo $logo; ?>" /></p>
						<input id="zee-logo" class="inp logo-upload" name="<?php echo $val['id']; ?>" id="<?php echo $val['id']; ?>" type="text" value="<?php echo $logo; ?>" />
						<input id="zee-upload-button" class="button" value="<?php _e('Upload picture', ZEE_LANG); ?>" type="button">
	<?php
				break;
				case 'colorpicker':
	?>
								#<input id="" class="inp colorpickerfield" name="<?php echo $val['id']; ?>" id="<?php echo $val['id']; ?>" type="text" maxlength="6" value="<?php if ( get_option( $val['id'] ) != "") { echo get_option($val['id']); } else { echo $val['std']; } ?>" />
	<?php
				break;
				case 'select':
	?>
									<select name="<?php echo $val['id']; ?>" id="<?php echo $val['id']; ?>">
			                			<?php foreach ($val['options'] as $option) { ?>
			                			<option<?php if ( get_option( $val['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $val['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
			                			<?php } ?>
			            			</select>
	<?php
				break;
				case 'textarea':
					$ta_options = isset($val['options']) ? $val['options'] : '';
	?>
									<textarea name="<?php echo $val['id']; ?>" id="<?php echo $val['id']; ?>" cols="65" rows="5"><?php  if( get_option($val['id']) != "") { echo stripslashes(get_option($val['id'])); } else { echo $val['std']; } ?></textarea>
	<?php
				break;
				case "checkbox":
					if(get_option($val['id'])) { $checked = "checked=\"checked\""; } else { $checked = ""; }
	?>
									<input type="checkbox" class="checkbox" name="<?php echo $val['id']; ?>" id="<?php echo $val['id']; ?>" value="true" <?php echo $checked; ?> />
	<?php
				break;
				case "radio":
					foreach ($val['options'] as $key=>$option) { 
						$radio_setting = get_option($val['id']);
						if($radio_setting != '') {
							if ($key == get_option($val['id']) ) { $checked = "checked=\"checked\""; } else { $checked = ""; }
						} else {
							if($key == $val['std']) { $checked = "checked=\"checked\""; } else { $checked = ""; }
						} ?>
									
	            					<input type="radio" name="<?php echo $val['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
		
			<?php }
		 
				break;
				case "multicheck":
					foreach ($val['options'] as $key=>$option) {
						$zee_key = $val['id'] . '_' . $key;
						$checkbox_setting = get_option($zee_key);
						
						if($checkbox_setting != '') {
							if (get_option($zee_key) ) { $checked = "checked=\"checked\""; } else { $checked = ""; }
						} else { 
							if($key == $val['std']) { $checked = "checked=\"checked\""; } else { $checked = ""; }
						} ?>
									
	            					<input type="checkbox" class="checkbox" name="<?php echo $zee_key; ?>" id="<?php echo $zee_key; ?>" value="true" <?php echo $checked; ?> />
									<label for="<?php echo $zee_key; ?>"><?php echo $option; ?></label><br />
									
			<?php }
		 
				break;
				case "break": ?>
					<div style="height: 20px;" />
				<?php
				break;
				default:
				break;
			}
			if ($val['type'] != 'checkbox')
				echo "<br />";
	?>
						<label><?php if(isset($val['desc'])) { echo $val['desc']; } ?></label>
						</td>
					</tr>
	<?php
		}
	}
?>
	</form>
	</div>
</div><!--wrap-->

<div style="clear:both;height:20px;"></div>
 
 <?php

};

?>