<?php

	//Shortcode Hooks
	add_shortcode('tabs', 'themezee_tabs');
	add_shortcode('tab', 'themezee_tab');
	
	// Tabs Function
	function themezee_tabs($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'navi' => 'NoTabs'
		
		), $atts));
		
		if($navi == 'NoTabs') { return; }
		
		$output = '
		<div id="short_tabs">
        	<ul id="short_tabs_navi">';
			
		$zeeTabs = explode(';', $navi);
		
		//display tabs navi
		$i = 1;
		foreach($zeeTabs as $tab) {
			$output .= '<li><a href="#tab'.$i.'">'.$tab.'</a></li>';
			$i++;
		}
		
		$output .= '</ul>';
		return $output.do_shortcode($content).'</div>';
		
	}
	
	// Tab Function
	function themezee_tab($atts, $content = null) {
		
		extract(shortcode_atts(array(
		
			'nr' => 0
		
		), $atts));
		
		if($nr == 0) { return; }
		
		return '<div id="tab'.$nr.'" class="short_tabdiv">'.do_shortcode($content).'</div>';
		
	}
	
	include('tinyMCE/tinyMCE.php');

?>