<?php
/*
Template Name: Page Startsite (with Slider)
*/
?>
<?php get_header(); ?>

	<div id="wrap">
		
		<div id="content" class="content_sidebar_<?php echo get_option('themeZee_sidebar'); ?>">
		
		<?php if(get_option('themeZee_show_slider') == true) {
				include (TEMPLATEPATH . '/slide.php');
			}
		?>
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
			<div <?php post_class(); ?>>
				
				<h2><?php the_title(); ?></h2>

				<div class="entry">
					<?php the_post_thumbnail('medium', array('class' => 'alignleft')); ?>
					<?php the_content(); ?>
					<div class="clear"></div>
					<?php wp_link_pages(); ?>
				</div>

			</div>

		<?php endwhile; ?>

		<?php endif; ?>
		
		<?php comments_template(); ?>
		
		</div>
		
		<div id="sidebar" class="sidebar_<?php echo get_option('themeZee_sidebar'); ?>">
			<?php get_sidebar(); ?>
		</div>
		
	</div>
	
<?php get_footer(); ?>	