<?php get_header(); ?>

	<div id="wrap">
		
		<div id="content" class="content_sidebar_<?php echo get_option('themeZee_sidebar'); ?>">
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
				<h2><?php the_title(); ?></h2>
					
				<div class="postmeta">
					<span class="author"><?php the_author(); ?> | </span>
					<span class="date"><?php the_time(get_option('date_format')); ?> | </span>
					<span class="comment"><a href="<?php the_permalink() ?>#comments"><?php comments_number(__('No comments', ZEE_LANG),__('One comment',ZEE_LANG),__('% comments',ZEE_LANG)); ?></a></span> 
					<?php edit_post_link( __( 'Edit', ZEE_LANG ), '<span class="edit-link">', '</span>' ); ?>
				</div>
				
				<div class="entry">
					<?php the_post_thumbnail('medium', array('class' => 'alignleft')); ?>
					<?php the_content(); ?>
					<div class="clear"></div>
					<?php wp_link_pages(); ?>
					<!-- <?php trackback_rdf(); ?> -->
				</div>

				<div class="postinfo">
					<span class="folder"><?php _e('Category', ZEE_LANG); ?>: <?php the_category(', ') ?> | </span>
					<span class="tag"><?php if (get_the_tags()) the_tags(__('Tags: ', ZEE_LANG), ', '); ?></span>
				</div>
				
			</div>
			
		<?php endwhile; ?>

		<?php endif; ?>
			
		<?php comments_template(); ?>
		
		</div>
		
		<div id="sidebar" class="sidebar_<?php echo get_option('themeZee_sidebar'); ?>">
			<?php get_sidebar(); ?>
		</div>
		
	</div>
	
<?php get_footer(); ?>	