<?php get_header(); ?>

	<div id="wrap">
		
		<div id="content" class="content_sidebar_<?php echo get_option('themeZee_sidebar'); ?>">
		
		<?php if(is_home() and get_option('themeZee_show_slider') == true) {
			include (TEMPLATEPATH . '/slide.php');
			}
		?>
		 
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
				<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					
				<div class="postmeta">
					<span class="author"><?php the_author(); ?> | </span>
					<span class="date"><?php the_time(get_option('date_format')); ?> | </span>
					<span class="comment"><a href="<?php the_permalink() ?>#comments"><?php comments_number(__('No comments', ZEE_LANG),__('One comment',ZEE_LANG),__('% comments',ZEE_LANG)); ?></a></span>
				</div>
				
				<div class="entry">
					<?php the_post_thumbnail('thumbnail', array('class' => 'alignleft')); ?>
					<?php the_content(__('&raquo; Read more..', ZEE_LANG)); ?>
					<div class="clear"></div>
				</div>

				<div class="postinfo">
					<span class="folder"><?php _e('Category', ZEE_LANG); ?>: <?php the_category(', ') ?> | </span>
					<span class="tag"><?php if (get_the_tags()) the_tags(__('Tags: ', ZEE_LANG), ', '); ?></span>
				</div>
				
			</div>
		<?php endwhile; ?>
			
			
			
			<?php if(function_exists('wp_pagenavi')) { // if PageNavi is activated ?>
				<div class="more_posts">
					<?php wp_pagenavi(); ?>
				</div>
			<?php } else { // Otherwise, use traditional Navigation ?>
				<div class="more_posts">
					<span class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', ZEE_LANG)) ?></span>
					<span class="alignright"><?php previous_posts_link (__('Recent Entries &raquo;', ZEE_LANG)) ?></span>
				</div>
				<div class="clear"></div>
			<?php }?>

		<?php endif; ?>
			
		</div>
		
		<div id="sidebar" class="sidebar_<?php echo get_option('themeZee_sidebar'); ?>">
			<?php get_sidebar(); ?>
		</div>
		
	</div>
	
<?php get_footer(); ?>	